-- ----------------------------
-- Table structure for SYSTEM_INBOUND_LOG
-- ----------------------------
DROP TABLE "SYSTEM_INBOUND_LOG";
DROP SEQUENCE "S_SYSTEM_INBOUND_LOG_ID";
CREATE SEQUENCE "S_SYSTEM_INBOUND_LOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "SYSTEM_INBOUND_LOG" (
  "ID" NUMBER VISIBLE DEFAULT "S_SYSTEM_INBOUND_LOG_ID"."NEXTVAL" NOT NULL,
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "ACTION_NAME" VARCHAR2(200 BYTE) VISIBLE NOT NULL,
  "ACTION_URL" VARCHAR2(300 BYTE) VISIBLE NOT NULL,
  "HTTP_METHOD" VARCHAR2(20 BYTE) VISIBLE NOT NULL,
  "REQUEST_HEADER" CLOB VISIBLE,
  "REQUEST_BODY" CLOB VISIBLE,
  "RESPONSE_BODY" CLOB VISIBLE,
  "EXCEPTION" CLOB VISIBLE,
  "CRT_DATE" DATE VISIBLE NOT NULL,
  "REQUEST_TIME" DATE VISIBLE,
  "RESPONSE_TIME" DATE VISIBLE,
  "REACTION_TIME" NUMBER(20,0) VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."ID" IS '流水號';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."UUID" IS '交易序號';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."ACTION_NAME" IS '作業程序';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."ACTION_URL" IS 'URL';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."HTTP_METHOD" IS '請求方法';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."REQUEST_HEADER" IS 'Request Header';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."REQUEST_BODY" IS 'Request Body';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."RESPONSE_BODY" IS 'Response Body';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."EXCEPTION" IS '例外訊息';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."CRT_DATE" IS '建立日期';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."REQUEST_TIME" IS '請求時間';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."RESPONSE_TIME" IS '回應時間';
COMMENT ON COLUMN "SYSTEM_INBOUND_LOG"."REACTION_TIME" IS '反應時間';
COMMENT ON TABLE "SYSTEM_INBOUND_LOG" IS 'Http Inbound Log
紀錄前端打後端AP的request和response';

-- ----------------------------
-- Table structure for SYSTEM_OUTBOUND_LOG
-- ----------------------------
DROP TABLE "SYSTEM_OUTBOUND_LOG";
DROP SEQUENCE "S_SYSTEM_OUTBOUND_LOG_ID";
CREATE SEQUENCE "S_SYSTEM_OUTBOUND_LOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "SYSTEM_OUTBOUND_LOG" (
  "ID" NUMBER VISIBLE DEFAULT "S_SYSTEM_OUTBOUND_LOG_ID"."NEXTVAL" NOT NULL,
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "ACTION_URL" VARCHAR2(300 BYTE) VISIBLE,
  "HTTP_METHOD" VARCHAR2(20 BYTE) VISIBLE,
  "REQUEST_BODY" CLOB VISIBLE,
  "RESPONSE_BODY" CLOB VISIBLE,
  "CRT_DATE" DATE VISIBLE NOT NULL,
  "REQUEST_TIME" DATE VISIBLE,
  "RESPONSE_TIME" DATE VISIBLE,
  "REACTION_TIME" NUMBER(20,0) VISIBLE,
  "EXCEPTION" CLOB VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."ID" IS '流水號';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."UUID" IS '交易序號';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."ACTION_URL" IS 'URL';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."HTTP_METHOD" IS '請求方法';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."REQUEST_BODY" IS 'Request Body';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."RESPONSE_BODY" IS 'Response Body';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."CRT_DATE" IS '建立日期';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."REQUEST_TIME" IS '請求時間';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."RESPONSE_TIME" IS '回應時間';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."REACTION_TIME" IS '反應時間';
COMMENT ON COLUMN "SYSTEM_OUTBOUND_LOG"."EXCEPTION" IS '例外訊息';
COMMENT ON TABLE "SYSTEM_OUTBOUND_LOG" IS 'Http Outbound Log
紀錄後端AP打核心或其他系統的request和response';

-- ----------------------------
-- Table structure for SYSTEM_SCHEDULE
-- ----------------------------
DROP TABLE "SYSTEM_SCHEDULE";
DROP SEQUENCE "S_SYSTEM_SCHEDULE_ID";
CREATE SEQUENCE "S_SYSTEM_SCHEDULE_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "SYSTEM_SCHEDULE" (
  "ID" NUMBER VISIBLE DEFAULT "S_SYSTEM_SCHEDULE_ID"."NEXTVAL" NOT NULL,
  "SCHEDULE_NAME" VARCHAR2(200 BYTE) VISIBLE NOT NULL,
  "EXECUTABLE" VARCHAR2(1 BYTE) VISIBLE NOT NULL,
  "FREQUENCY_MONTH" VARCHAR2(500 BYTE) VISIBLE,
  "FREQUENCY_WEEK" VARCHAR2(20 BYTE) VISIBLE,
  "FREQUENCY_ALLDAY" VARCHAR2(1 BYTE) VISIBLE,
  "FREQUENCY_TIME" VARCHAR2(4 BYTE) VISIBLE,
  "FREQUENCY_EVERYMINS" VARCHAR2(200 BYTE) VISIBLE,
  "UPDATE_DATETIME" DATE VISIBLE NOT NULL,
  "LAST_EXEC_TIME" DATE VISIBLE,
  "LAST_EXEC_SUCCESS" VARCHAR2(1 BYTE) VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."ID" IS '流水號';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."SCHEDULE_NAME" IS '排程名稱';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."EXECUTABLE" IS '是否可執行';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."FREQUENCY_MONTH" IS '執行頻率。月';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."FREQUENCY_WEEK" IS '執行頻率。星期';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."FREQUENCY_ALLDAY" IS '執行頻率。每日';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."FREQUENCY_TIME" IS '執行頻率。時分';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."FREQUENCY_EVERYMINS" IS '執行頻率。分';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."UPDATE_DATETIME" IS '更新時間';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."LAST_EXEC_TIME" IS '最後執行時間';
COMMENT ON COLUMN "SYSTEM_SCHEDULE"."LAST_EXEC_SUCCESS" IS '最後執行結果';
COMMENT ON TABLE "SYSTEM_SCHEDULE" IS '排程清單資料檔';

-- ----------------------------
-- Table structure for SYSTEM_SCHEDULE_LOG
-- ----------------------------
DROP TABLE "SYSTEM_SCHEDULE_LOG";
DROP SEQUENCE "S_SYSTEM_SCHEDULE_LOG_ID";
CREATE SEQUENCE "S_SYSTEM_SCHEDULE_LOG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "SYSTEM_SCHEDULE_LOG" (
  "ID" NUMBER VISIBLE DEFAULT "S_SYSTEM_SCHEDULE_LOG_ID"."NEXTVAL" NOT NULL,
  "SCHEDULE_ID" NUMBER VISIBLE,
  "SCHEDULE_NAME" VARCHAR2(200 BYTE) VISIBLE,
  "LAST_EXEC_DATE_TIME" DATE VISIBLE NOT NULL,
  "LAST_EXEC_SUCCESS" VARCHAR2(20 BYTE) VISIBLE NOT NULL,
  "EXCEPTION" CLOB VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."ID" IS '流水號';
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."SCHEDULE_ID" IS '排程流水號';
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."SCHEDULE_NAME" IS '排程名稱';
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."LAST_EXEC_DATE_TIME" IS '執行時間';
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."LAST_EXEC_SUCCESS" IS '執行結果';
COMMENT ON COLUMN "SYSTEM_SCHEDULE_LOG"."EXCEPTION" IS '例外訊息';
COMMENT ON TABLE "SYSTEM_SCHEDULE_LOG" IS '排程執行LOG紀錄檔';

-- ----------------------------
-- Table structure for TE_SAVA_CORE_JSONDATA
-- ----------------------------
DROP TABLE "TE_SAVA_CORE_JSONDATA";
CREATE TABLE "TE_SAVA_CORE_JSONDATA" (
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "LOGINTOKEN" VARCHAR2(100 BYTE) VISIBLE NOT NULL,
  "APINAME" VARCHAR2(100 BYTE) VISIBLE NOT NULL,
  "JSONSTRING" CLOB VISIBLE,
  "CREATE_DATE" DATE VISIBLE DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TE_SAVA_CORE_JSONDATA"."UUID" IS '會員流水號';
COMMENT ON COLUMN "TE_SAVA_CORE_JSONDATA"."LOGINTOKEN" IS '登入的TOKEN';
COMMENT ON COLUMN "TE_SAVA_CORE_JSONDATA"."APINAME" IS '核心API名稱';
COMMENT ON COLUMN "TE_SAVA_CORE_JSONDATA"."JSONSTRING" IS '核心API的RES';
COMMENT ON COLUMN "TE_SAVA_CORE_JSONDATA"."CREATE_DATE" IS '建立日期';
COMMENT ON TABLE "TE_SAVA_CORE_JSONDATA" IS 'cache核心JSON資料';

-- ----------------------------
-- Table structure for TM_CMSNEW
-- ----------------------------
DROP TABLE "TM_CMSNEW";
DROP SEQUENCE "S_TM_CMSNEW_ID";
CREATE SEQUENCE "S_TM_CMSNEW_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_CMSNEW" (
  "ID" NUMBER VISIBLE DEFAULT "S_TM_CMSNEW_ID"."NEXTVAL" NOT NULL,
  "TYPE" VARCHAR2(10 BYTE) VISIBLE,
  "START_DATE" DATE VISIBLE,
  "END_DATE" DATE VISIBLE,
  "TITLE" VARCHAR2(255 BYTE) VISIBLE,
  "CONTENT" CLOB VISIBLE,
  "DESCRIPTION" VARCHAR2(255 BYTE) VISIBLE,
  "CREATE_DATE" DATE VISIBLE DEFAULT SYSDATE,
  "DRAFT_ID" NUMBER VISIBLE,
  "IS_AVAILABLE" VARCHAR2(1 BYTE) VISIBLE DEFAULT 'Y',
  "CHARACTER" VARCHAR2(30 CHAR), 
  "IMAGE_KEY1" NUMBER(19,0), 
  "IMAGE_KEY2" NUMBER(19,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_CMSNEW"."ID" IS '流水號';
COMMENT ON COLUMN "TM_CMSNEW"."TYPE" IS '資訊種類。[01:登入需知、02:資訊公告、03:保戶首頁最新公告、04:閱讀聲明-個人資料保護法應告知事項、05:閱讀聲明-網路保險服務聲明事項、06:BANNER-PC版、07:BANNER-Mobile版]';
COMMENT ON COLUMN "TM_CMSNEW"."START_DATE" IS '開始時間';
COMMENT ON COLUMN "TM_CMSNEW"."END_DATE" IS '結束時間';
COMMENT ON COLUMN "TM_CMSNEW"."TITLE" IS '標題';
COMMENT ON COLUMN "TM_CMSNEW"."CONTENT" IS '內容';
COMMENT ON COLUMN "TM_CMSNEW"."DESCRIPTION" IS '說明';
COMMENT ON COLUMN "TM_CMSNEW"."CREATE_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_CMSNEW"."DRAFT_ID" IS '草稿資料流水號';
COMMENT ON COLUMN "TM_CMSNEW"."IS_AVAILABLE" IS '是否上架';
COMMENT ON COLUMN "TM_CMSNEW"."CHARACTER" IS '上架位置';
COMMENT ON COLUMN "TM_CMSNEW"."IMAGE_KEY1" IS 'PC圖片Key';
COMMENT ON COLUMN "TM_CMSNEW"."IMAGE_KEY2" IS 'Mobile圖片Key';
COMMENT ON TABLE "TM_CMSNEW" IS '上稿資訊';

-- ----------------------------
-- Table structure for TM_CMSNEW_READING_RECORE
-- ----------------------------
DROP TABLE "TM_CMSNEW_READING_RECORE";
CREATE TABLE "TM_CMSNEW_READING_RECORE" (
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "SEQ_NO" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "ID" NUMBER VISIBLE,
  "TYPE" VARCHAR2(2 BYTE) VISIBLE,
  "CREATE_DATE" DATE VISIBLE DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_CMSNEW_READING_RECORE"."UUID" IS '保戶流水號';
COMMENT ON COLUMN "TM_CMSNEW_READING_RECORE"."SEQ_NO" IS '閱讀紀錄流水號';
COMMENT ON COLUMN "TM_CMSNEW_READING_RECORE"."ID" IS '上稿資料流水號';
COMMENT ON COLUMN "TM_CMSNEW_READING_RECORE"."TYPE" IS '資訊種類。[01:登入需知、02:資訊公告、03:保戶首頁最新公告、04:閱讀聲明-個人資料保護法應告知事項、05:閱讀聲明-網路保險服務聲明事項]';
COMMENT ON COLUMN "TM_CMSNEW_READING_RECORE"."CREATE_DATE" IS '建立日期';
COMMENT ON TABLE "TM_CMSNEW_READING_RECORE" IS '保戶閱讀紀錄資料檔';

-- ----------------------------
-- Table structure for TM_LATEST_FUNCTION_RECORD
-- ----------------------------
DROP TABLE "TM_LATEST_FUNCTION_RECORD";
CREATE TABLE "TM_LATEST_FUNCTION_RECORD" (
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "MODIFIED_DATE" DATE VISIBLE,
  "RECORD" VARCHAR2(100 BYTE) VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_LATEST_FUNCTION_RECORD"."UUID" IS '保戶流水號';
COMMENT ON COLUMN "TM_LATEST_FUNCTION_RECORD"."MODIFIED_DATE" IS '更新時間';
COMMENT ON COLUMN "TM_LATEST_FUNCTION_RECORD"."RECORD" IS '近期使用功能';
COMMENT ON TABLE "TM_LATEST_FUNCTION_RECORD" IS '近期功能使用記錄檔';

-- ----------------------------
-- Table structure for TM_NOTICE_CONFIG
-- ----------------------------
DROP TABLE "TM_NOTICE_CONFIG";
CREATE TABLE "TM_NOTICE_CONFIG" (
  "ID" NUMBER VISIBLE NOT NULL,
  "NOTICE_ACTION" VARCHAR2(100 BYTE) VISIBLE,
  "NOTICE_TYPE" VARCHAR2(100 BYTE) VISIBLE,
  "SUBJECT" VARCHAR2(300 BYTE) VISIBLE,
  "CONTEXT" CLOB VISIBLE,
  "SHORTMESSAGE" VARCHAR2(300 BYTE) VISIBLE,
  "CREATE_DATA" DATE VISIBLE DEFAULT SYSDATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."ID" IS '流水號';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."NOTICE_ACTION" IS '功能';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."NOTICE_TYPE" IS '類型';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."SUBJECT" IS '寄送EMAIL主旨';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."CONTEXT" IS '寄送EMAIL內容';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."SHORTMESSAGE" IS '寄送SMS內容';
COMMENT ON COLUMN "TM_NOTICE_CONFIG"."CREATE_DATA" IS '建立日期';
COMMENT ON TABLE "TM_NOTICE_CONFIG" IS '通知資料設定檔';

-- ----------------------------
-- Table structure for TM_OTP_DATA
-- ----------------------------
DROP TABLE "TM_OTP_DATA";
CREATE TABLE "TM_OTP_DATA" (
  "USERNAME" VARCHAR2(50 BYTE) VISIBLE NOT NULL,
  "OTP_TIMES" NUMBER(10,0) VISIBLE,
  "OTP_LAST_SEND_TIME" DATE VISIBLE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_OTP_DATA"."USERNAME" IS '保戶帳號';
COMMENT ON COLUMN "TM_OTP_DATA"."OTP_TIMES" IS 'OTP寄送次數';
COMMENT ON COLUMN "TM_OTP_DATA"."OTP_LAST_SEND_TIME" IS '最後OTP寄送時間';
COMMENT ON TABLE "TM_OTP_DATA" IS 'otp data';

-- ----------------------------
-- Table structure for TM_TMPL_CONFIG
-- ----------------------------
DROP TABLE "TM_TMPL_CONFIG";
DROP SEQUENCE "S_TM_TMPL_CONFIG_ID";
CREATE SEQUENCE "S_TM_TMPL_CONFIG_ID" MINVALUE 1 MAXVALUE 999999999999999999999999999 INCREMENT BY 1 NOCACHE;
CREATE TABLE "TM_TMPL_CONFIG" (
  "ID" NUMBER VISIBLE DEFAULT "S_TM_TMPL_CONFIG_ID"."NEXTVAL" NOT NULL,
  "TASK" VARCHAR2(60 BYTE) VISIBLE NOT NULL,
  "DESCRIPTION" VARCHAR2(100 BYTE) VISIBLE NOT NULL,
  "SETTING" VARCHAR2(200 BYTE) VISIBLE NOT NULL,
  "CRT_USER" VARCHAR2(60 BYTE) VISIBLE NOT NULL,
  "CRT_DATE" DATE VISIBLE NOT NULL,
  "MDF_USER" VARCHAR2(60 BYTE) VISIBLE NOT NULL,
  "MDF_DATE" DATE VISIBLE NOT NULL,
  "IS_AVAILABLE" VARCHAR2(2 BYTE) VISIBLE DEFAULT 'Y' NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_TMPL_CONFIG"."ID" IS '流水號';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."TASK" IS '參數項目';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."DESCRIPTION" IS '參數說明';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."SETTING" IS '參數設定';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."CRT_USER" IS '建立者';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."CRT_DATE" IS '建立日期';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."MDF_USER" IS '異動者';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."MDF_DATE" IS '異動日期';
COMMENT ON COLUMN "TM_TMPL_CONFIG"."IS_AVAILABLE" IS '是否啟用';
COMMENT ON TABLE "TM_TMPL_CONFIG" IS '通用設定檔';

-- ----------------------------
-- Table structure for TM_WEBUSER
-- ----------------------------
DROP TABLE "TM_WEBUSER";
CREATE TABLE "TM_WEBUSER" (
  "UUID" VARCHAR2(40 BYTE) VISIBLE NOT NULL,
  "USERNAME" VARCHAR2(50 BYTE) VISIBLE,
  "LOGIN_TOKEN" VARCHAR2(100 BYTE) VISIBLE,
  "STATUS" VARCHAR2(1 BYTE) VISIBLE DEFAULT 0,
  "APPLY_DATE" DATE VISIBLE,
  "DATA_MODIFY_TIME" DATE VISIBLE,
  "LATEST_LOGIN_IP" VARCHAR2(30 BYTE) VISIBLE,
  "LATEST_LOGIN_TIME" DATE VISIBLE,
  "LATEST_FAIL_IP" VARCHAR2(30 BYTE) VISIBLE,
  "LATEST_FAIL_TIME" DATE VISIBLE,
  "LATEST_LOGOUT_IP" VARCHAR2(30 BYTE) VISIBLE,
  "LATEST_LOGOUT_TIME" DATE VISIBLE,
  "LOCK_STATUS" NUMBER(3,0) VISIBLE DEFAULT 0,
  "LATEST_FAIL_TIMES" NUMBER(10,0) VISIBLE,
  "WEB_EMAIL" VARCHAR2(100 BYTE) VISIBLE,
  "APPLICANT_TYPE" NUMBER(1,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "TM_WEBUSER"."UUID" IS '保戶流水號';
COMMENT ON COLUMN "TM_WEBUSER"."USERNAME" IS '帳號。身份證字號';
COMMENT ON COLUMN "TM_WEBUSER"."LOGIN_TOKEN" IS '驗證token';
COMMENT ON COLUMN "TM_WEBUSER"."STATUS" IS '帳號狀態。[0:尚未申請使用、1:帳號正常使用中、2:申請忘記密碼，尚未登入、3:已經申請帳號，尚未登入]';
COMMENT ON COLUMN "TM_WEBUSER"."APPLY_DATE" IS '帳號申請日';
COMMENT ON COLUMN "TM_WEBUSER"."DATA_MODIFY_TIME" IS '資料異動日';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_LOGIN_IP" IS '登入IP';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_LOGIN_TIME" IS '登入時間';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_FAIL_IP" IS '登入失敗IP';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_FAIL_TIME" IS '登入失敗時間';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_LOGOUT_IP" IS '登出IP';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_LOGOUT_TIME" IS '登出時間';
COMMENT ON COLUMN "TM_WEBUSER"."LOCK_STATUS" IS '鎖定狀態。[1:不能使用線上保全作業、0:尚未鎖定]';
COMMENT ON COLUMN "TM_WEBUSER"."LATEST_FAIL_TIMES" IS '登入失敗次數。登入成功須給0，登入失敗需遞增';
COMMENT ON COLUMN "TM_WEBUSER"."WEB_EMAIL" IS '保戶EMAIL';
COMMENT ON COLUMN "TM_WEBUSER"."APPLICANT_TYPE" IS '權限類型，1:線上作業(經過OTP認證)，2:紙本作業';
COMMENT ON TABLE "TM_WEBUSER" IS '保戶資料';

-- ----------------------------
-- Primary Key structure for table SYSTEM_INBOUND_LOG
-- ----------------------------
ALTER TABLE "SYSTEM_INBOUND_LOG" ADD CONSTRAINT "SYSTEM_INBOUND_LOG_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table SYSTEM_OUTBOUND_LOG
-- ----------------------------
ALTER TABLE "SYSTEM_OUTBOUND_LOG" ADD CONSTRAINT "SYSTEM_OUTBOUND_LOG_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table SYSTEM_SCHEDULE
-- ----------------------------
ALTER TABLE "SYSTEM_SCHEDULE" ADD CONSTRAINT "SYSTEM_SCHEDULE" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table SYSTEM_SCHEDULE_LOG
-- ----------------------------
ALTER TABLE "SYSTEM_SCHEDULE_LOG" ADD CONSTRAINT "SYSTEM_SCHEDULE_LOG_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TE_SAVA_CORE_JSONDATA
-- ----------------------------
ALTER TABLE "TE_SAVA_CORE_JSONDATA" ADD CONSTRAINT "TE_SAVA_CORE_JSONDATA_PK" PRIMARY KEY ("UUID", "LOGINTOKEN", "APINAME");

-- ----------------------------
-- Primary Key structure for table TM_CMSNEW
-- ----------------------------
ALTER TABLE "TM_CMSNEW" ADD CONSTRAINT "TM_CMSNEW_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TM_CMSNEW_READING_RECORE
-- ----------------------------
ALTER TABLE "TM_CMSNEW_READING_RECORE" ADD CONSTRAINT "TM_CMSNEW_READING_RECORE_PK" PRIMARY KEY ("UUID", "SEQ_NO");

-- ----------------------------
-- Primary Key structure for table TM_LATEST_FUNCTION_RECORD
-- ----------------------------
ALTER TABLE "TM_LATEST_FUNCTION_RECORD" ADD CONSTRAINT "TM_LATEST_FUNCTION_RECORD_PK" PRIMARY KEY ("UUID");

-- ----------------------------
-- Primary Key structure for table TM_NOTICE_CONFIG
-- ----------------------------
ALTER TABLE "TM_NOTICE_CONFIG" ADD CONSTRAINT "TM_NOTICE_CONFIG_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TM_OTP_DATA
-- ----------------------------
ALTER TABLE "TM_OTP_DATA" ADD CONSTRAINT "TM_OTP_DATA_PK" PRIMARY KEY ("USERNAME");

-- ----------------------------
-- Primary Key structure for table TM_TMPL_CONFIG
-- ----------------------------
ALTER TABLE "TM_TMPL_CONFIG" ADD CONSTRAINT "TM_TMPL_CONFIG_PK" PRIMARY KEY ("ID");

-- ----------------------------
-- Primary Key structure for table TM_WEBUSER
-- ----------------------------
ALTER TABLE "TM_WEBUSER" ADD CONSTRAINT "TM_WEBUSER_PK" PRIMARY KEY ("UUID");

--------------------------------------------------------
--  DDL for Table TM_RANDOM_CODE
--------------------------------------------------------

DROP TABLE "TM_RANDOM_CODE";

  CREATE TABLE "TM_RANDOM_CODE" 
   (	"TOKEN" VARCHAR2(512 BYTE), 
	"CODE" VARCHAR2(10 BYTE), 
	"CREATE_DATE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 
 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "TM_RANDOM_CODE"."TOKEN" IS '前端識別TOKEN';
   COMMENT ON COLUMN "TM_RANDOM_CODE"."CODE" IS '驗證碼';
   COMMENT ON COLUMN "TM_RANDOM_CODE"."CREATE_DATE" IS '建立時間';
--------------------------------------------------------
--  DDL for Index TM_RANDOM_CODE_PK
--------------------------------------------------------


  CREATE UNIQUE INDEX "TM_RANDOM_CODE_PK" ON "TM_RANDOM_CODE" ("TOKEN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table TM_RANDOM_CODE
--------------------------------------------------------

  ALTER TABLE "TM_RANDOM_CODE" MODIFY ("TOKEN" NOT NULL ENABLE);
  ALTER TABLE "TM_RANDOM_CODE" MODIFY ("CODE" NOT NULL ENABLE);
  ALTER TABLE "TM_RANDOM_CODE" MODIFY ("CREATE_DATE" NOT NULL ENABLE);
  ALTER TABLE "TM_RANDOM_CODE" ADD CONSTRAINT "TM_RANDOM_CODE_PK" PRIMARY KEY ("TOKEN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1
  BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;

